%global srcname octodns

Name:           octodns
Version:        1.9.1
Release:        1%{?dist}
Summary:        DNS-as-code tool for managing DNS across multiple providers
License:        MIT
URL:            https://github.com/octodns/
Source0:        https://github.com/octodns/octodns/archive/v%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
#BuildRequires:  python3-pip
BuildRequires:  python3-setuptools

%{?python_enable_dependency_generator}

%description
OctoDNS provides a set of tools & patterns that make it easy to manage
DNS records across multiple providers using an infrastructure-as-code approach.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python%{python3_pkgversion}-%{srcname}
OctoDNS provides a set of tools & patterns that make it easy to manage
DNS records across multiple providers using an infrastructure-as-code approach.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%build
%py3_build


%install
%py3_install

%files -n  python3-%{srcname}
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/*
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/


%changelog
* Mon Jun 24 2024 Tim Jackson <rpm@timj.co.uk> 1.9.1-1
- update to 1.9.1

* Mon Nov 13 2023 Tim Jackson <rpm@timj.co.uk> 1.2.1-1
- update to 1.2.1

* Mon Jun 13 2022 Tim Jackson <rpm@timj.co.uk> 0.9.17-2
- Small cleanups to spec

* Wed May 18 2022 Tim Jackson <rpm@timj.co.uk> 0.9.17-1
- Initial build
